package com.gci.boot.modules.projects.service;

import com.gci.boot.modules.projects.entity.TbContract;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 合同档案 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-01
 */
public interface ITbContractService extends IService<TbContract> {


	List<TbContract> getSigningList(String contractType, String sysOrgCode);

	void checkItem(TbContract item);

	void initVehicleCheckDetail(TbContract contract);

	void initItem(TbContract item);

	void saveItem(TbContract item);

	void updateItem(TbContract item);

	void updateStatus(String id);

	Map<String, Double> getCarPrice(String contractId);

}
